// load in and process data 
import {
  csv,
  range
} from 'd3';


export const loadAndProcessData = () => 

csv('data.csv')
  .then(data => {
    data.forEach(d => {
      d.date = new Date(d.date);
      d.hubei = +d.hubei;
      d.relative = +d.relative;
      d.social = +d.social;
      d.public = +d.public;
    });
   console.log(data);
    
    return data;
  });
   
